%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-dialog
Version:        2.7
Release:        14%{?dist}
Summary:        Python interface to the Unix dialog utility

Group:          Development/Languages
License:        LGPLv2+
URL:            http://pythondialog.sourceforge.net
Source0:        http://downloads.sourceforge.net/pythondialog/pythondialog-2.7.tar.bz2
Patch0:         python-dialog-demo.patch
# filed into upstream bugtracker as
# http://sourceforge.net/tracker/?func=detail&aid=3162630&group_id=58155&atid=486713
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       dialog

%description
A Python interface to the Unix dialog utility, designed to provide an
easy, pythonic and as complete as possible way to use the dialog
features from Python code.

%prep
%setup -q -n pythondialog-%{version}
%patch0

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
iconv -f latin2 -t utf-8 TODO > TODO.utf8
mv TODO.utf8 TODO
iconv -f latin2 -t utf-8 README > README.utf8
mv README.utf8 README

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --prefix=%{_prefix}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc demo.py AUTHORS COPYING DEBUGGING README TODO
%{python_sitelib}/dialog.py*
%{python_sitelib}/pythondialog-*.egg-info


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 20 2011 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.7-13
- Added python-dialog-demo.patch, fix BZ#594988
- Fix rpmlint: W: file-not-utf8 /usr/share/doc/python-dialog-2.7/TODO
- Fix rpmlint: W: file-not-utf8 /usr/share/doc/python-dialog-2.7/README

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.7-12
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.7-9
- Rebuild for Python 2.6

* Thu Jun 05 2008 Aurelien Bompard <abompard@fedoraproject.org> 2.7-8
- add egg info

* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.7-7
- fix license tag (see head of dialog.py)

* Sat Dec 09 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.7-6
- rebuild

* Wed Nov 01 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.7-5
- unghost .pyo file

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.7-4
- rebuild

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 2.7-3
- rebuild for FC5

* Fri Dec 23 2005 Aurelien Bompard <gauret[AT]free.fr> 2.7-1
- remove hardcoded disttag

* Wed Mar 30 2005 Aurelien Bompard <gauret[AT]free.fr> 2.7-1.fc4
- change release tag for FC4
- drop Epoch

* Thu Feb 10 2005 Aurelien Bompard <gauret[AT]free.fr> 0:2.7-1
- update to version 2.7
- update URL

* Sat Feb 05 2005 Toshio Kuratomi <toshio@tiki-lounge.com> 0:2.0.6-2
- Change %%python_sitearch to %%python_sitelib as sitearch references
  /usr/lib64 on x86_64 multilib and the python files install to /usr/lib.

* Sat Jul 24 2004 Aurelien Bompard <gauret[AT]free.fr> 0:2.06-0.fdr.1
- Initial Fedora Package
